import httpRequest from './request';

//获取openId
export const wechatOpenId = (params: any) => httpRequest('/api/wechat/wxlogin', params, 'POST', true, false, true);
//微信支付 
export const wechatPay = (params: any) => httpRequest(`/api/wechat/wechatpay/${params}`, params, 'POST', true,false, true);
//登录
export const login = (params) => httpRequest('/api/account/login', params, 'POST', true, true);
//根据token获取用户信息
export const getUserinfo = () => httpRequest('/api/account/userinfo')
/**
     * 获取用户餐盘列表
     */
export const getOrderInf = (requestid: string, storeid: string) => httpRequest(`/order/order/orderantusericard/${requestid}/${storeid}`, null, 'GET')

//获取用户信息
export const getUserOfOpenId = (openid) => httpRequest(`/kitchen/api/member-helper/memberinfobywechat/${openid}`, null, 'POST', true, true);
//创建主订单和用户IC卡关系
export const orderantusericard =(params)=> httpRequest('/order/order/orderantusericard', params, 'POST', true, true);
//增加用户
export const insertOrUpdateMember=(params) =>httpRequest('/kitchen/api/member-helper/orupdatememberinfobywechat', params, 'POST', true, true);
//查询详情
export const getOrderOfOrderNum=(orderid)=>httpRequest(`/order/order/fullorderbynumber/${orderid}`, null, 'GET')
//更新订单
export const updateOrderStatus=(params)=>httpRequest(`/order/order/orderupstatus`, params, 'POST', true, true);
//获取我的订单
export const getOrderPage=(params)=>httpRequest(`/order/order/fullorder`, params, 'POST', true, true);

//新获取我的托盘信息
export const GetWeighOrderByOpenId=(params)=>httpRequest('/api/ExternalPlatform/WeighOrder/GetWeighOrderByOpenId',params,'POST',false,true);
//创建主订单和用户IC卡关系
export const CreateWeighOrder =(params)=> httpRequest('/api/ExternalPlatform/WeighOrder/CreateWeighOrder', params, 'POST', true, true);
//添加新的餐盘
export const AddDiningPlate =(params)=> httpRequest('/api/ExternalPlatform/WeighOrder/AddWeighOrderDiningPlate', params, 'POST', true, true);
//订单支付完成
export const UpdateWeighOrderStates =(params)=>httpRequest('/api/ExternalPlatform/WeighOrder/UpdateWeighOrderStates', params, 'POST', true, true);
//获取本人订单
export const GetWeighOrderPageByOpenId=(params)=>httpRequest('/api/ExternalPlatform/WeighOrder/GetWeighOrderPageByOpenId', params, 'POST', true, true);



